Bug 141097 - Plugging an USB storage device turns up CPU fan
Plugging an USB storage device turns up CPU fan
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-29 03:24 EST by Richard Körber
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-02 20:25:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Körber 2004-11-29 03:24:53 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-AT; rv:1.7.3)
Gecko/20040922

Description of problem:
I have enabled powernow_k8 (Cool'n'Quiet) on my AMD64 system. The CPU
fan has a low RPM and is quiet, as I expect it.

Now, as soon as I plug in an USB storage device (here it is a mobile
USB harddisk), the CPU fan starts turning up to max speed, as if the
system has a high load. Anyhow "top" shows that the system is idle.

The CPU fan will stay at max speed, even after the USB storage device
has been disconnected again. I have to reboot the system in order to
have a functional powernow_k8 again.

I stated the severity as Low since except of the CPU fan, the system
behaves normally -- there is no crash or data loss, not does it seem
to be slower. Anyhow it is very annoying since the CPU fan makes quite
some noise.

It's an FC3/x86_64 installation with all current updates applied.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Enable powernow_k8 module, wait until CPU fan slows down
2. Plug in an USB storage device (e.g. an USB harddisk)


Actual Results:  The CPU fan turns up to max speed. This speed is kept
until system is restarted.

Expected Results:  The CPU fan might turn up for a short time (if at
all) after the USB device has been plugged in, but it should slow down
again.

Additional info:

I suspected the haldaemon first. But a "service haldaemon stop" before
plugging in the USB device didn't change the behaviour.

I assume the bug is somewhere in the usb-storage module, the
powernow_k8 module or the kernel itself, since "top" is showing an
idle system. Sorry if I am wrong.
Comment 1 Dave Jones 2005-07-15 15:43:53 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 2 Dave Jones 2005-10-02 20:25:13 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.